import request from '@/utils/request'

// 查询订单信息表列表
export function listAppletOrderItemDate(query) {
  return request({
    url: '/model/AppletOrderItemDate/list',
    method: 'get',
    params: query
  })
}

// 查询订单信息表详细
export function getAppletOrderItemDate(id) {
  return request({
    url: '/model/AppletOrderItemDate/' + id,
    method: 'get'
  })
}

// 新增订单信息表
export function addAppletOrderItemDate(data) {
  return request({
    url: '/model/AppletOrderItemDate',
    method: 'post',
    data: data
  })
}

// 修改订单信息表
export function updateAppletOrderItemDate(data) {
  return request({
    url: '/model/AppletOrderItemDate',
    method: 'put',
    data: data
  })
}

// 删除订单信息表
export function delAppletOrderItemDate(id) {
  return request({
    url: '/model/AppletOrderItemDate/' + id,
    method: 'delete'
  })
}

// 导出订单信息表
export function exportAppletOrderItemDate(query) {
  return request({
    url: '/model/AppletOrderItemDate/export',
    method: 'get',
    params: query
  })
}
